## golang-github-prometheus-community-pro-bing 0.3.0

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.3.0-3) unstable; urgency=medium

  * Team upload
  * Add patch to disable network tests

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Jul 2023 12:44:42 +0800

golang-github-prometheus-community-pro-bing (0.3.0-2) unstable; urgency=medium

  * Source-only re-upload for migration to testing

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 15 Jul 2023 21:00:47 +0000

golang-github-prometheus-community-pro-bing (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1040861)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 11 Jul 2023 17:47:31 +0000

## golang-github-prometheus-community-pro-bing 0.7.0

=== Makefile ===
GO           ?= go
GOFMT        ?= $(GO)fmt
GOOPTS       ?=
GO111MODULE  :=
pkgs          = ./...

all: style vet build test

.PHONY: build
build:
	@echo ">> building ping"
	GO111MODULE=$(GO111MODULE) $(GO) build $(GOOPTS) ./cmd/ping

.PHONY: style
style:
	@echo ">> checking code style"
	@fmtRes=$$($(GOFMT) -d $$(find . -path ./vendor -prune -o -name '*.go' -print)); \
	if [ -n "$${fmtRes}" ]; then \
		echo "gofmt checking failed!"; echo "$${fmtRes}"; echo; \
		echo "Please ensure you are using $$($(GO) version) for formatting code."; \
		exit 1; \
	fi

.PHONY: test
test:
	@echo ">> running all tests"
	GO111MODULE=$(GO111MODULE) $(GO) test -race -cover $(GOOPTS) $(pkgs)

.PHONY: vet
vet:
	@echo ">> vetting code"
	GO111MODULE=$(GO111MODULE) $(GO) vet $(GOOPTS) $(pkgs)

## golang-github-prometheus-community-pro-bing 0.4.0

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Aug 2024 15:46:04 +0530

golang-github-prometheus-community-pro-bing (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 11 Mar 2024 19:14:32 +0000

=== debian/control ===
Source: golang-github-prometheus-community-pro-bing
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing.git
Homepage: https://github.com/prometheus-community/pro-bing
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/prometheus-community/pro-bing

Package: golang-github-prometheus-community-pro-bing-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-uuid-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         ${misc:Depends},
Description: library for creating continuous probers
 A simple but powerful ICMP echo (ping) library for Go, inspired by go-ping
 and go-fastping.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd/

%:
	dh $@ --buildsystem=golang

## golang-github-prometheus-community-pro-bing 0.5.0

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)
  * Refresh patches (skip new network test)
  * Add new 0002-Do-not-set-default-traffic-class.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 01 Dec 2024 21:10:12 +0000

## golang-github-prometheus-community-pro-bing 0.6.0

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 21 Jan 2025 21:05:51 +0000

## golang-github-prometheus-community-pro-bing 0.6.1

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.6.1-1) unstable; urgency=medium

  * New upstream release (fixes data race in pinger stats)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Feb 2025 15:04:22 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-google-uuid-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing.git
 Homepage: https://github.com/prometheus-community/pro-bing

## golang-github-prometheus-community-pro-bing 0.7.0

=== debian/changelog ===
golang-github-prometheus-community-pro-bing (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 12 Aug 2025 23:31:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: golang-github-prometheus-community-pro-bing
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Section: golang
-Testsuite: autopkgtest-pkg-go
-Priority: optional
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
                golang-github-google-uuid-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev,
-Standards-Version: 4.7.0
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-prometheus-community-pro-bing.git
 Homepage: https://github.com/prometheus-community/pro-bing
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/prometheus-community/pro-bing
 
 Package: golang-github-prometheus-community-pro-bing-dev

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/prometheus-community/pro-bing/tags .*/v?(\d\S*)\.tar\.gz debian
